/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing LicenseApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class LicenseApiTests : IDisposable
    {
        private LicenseApi instance;

        public LicenseApiTests()
        {
            instance = new LicenseApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of LicenseApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' LicenseApi
            //Assert.IsType<LicenseApi>(instance);
        }

        /// <summary>
        /// Test ApiV2LicensesOptions
        /// </summary>
        [Fact]
        public void ApiV2LicensesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2LicensesOptions();
        }

        /// <summary>
        /// Test GetLicense
        /// </summary>
        [Fact]
        public void GetLicenseTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid licenseId = null;
            //var response = instance.GetLicense(licenseId);
            //Assert.IsType<LicenseDtoResponse>(response);
        }

        /// <summary>
        /// Test GetLicenses
        /// </summary>
        [Fact]
        public void GetLicensesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetLicenses(pageNumber, pageSize, orderBy);
            //Assert.IsType<LicenseDtoPagedResponse>(response);
        }
    }
}
